MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028162Open CASCADE[OCCT] OCCT:DRAWpublic2016-11-28 11:532017-09-29 16:23
Reporterisk 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028162: Draw Harness - eliminate usage of deprecated Local Context
DescriptionDrop Local Context code from TKViewerTest
Steps To Reproducev3d dimensions *
TagsNo tags attached.
Test case numberv3d dimensions
Attached Files

- Relationships
has duplicate 0027855closedbugmaster Open CASCADE Coding rules - mark Local Context creation in AIS_InteractiveContext with Standard_DEPRECATED 
child of 0025467newkgv Open CASCADE Visualization - Possibility to remove AIS_LocalContext class 

-  Notes
(0060834)
git (administrator)
2016-11-29 13:13

Branch CR28162 has been created by isk.

SHA-1: 1e6f1912b870d881c3dfdd4a8ee808798a0f2c31


Detailed log of new commits:

Author: isk
Date: Tue Nov 29 13:13:28 2016 +0300

    Drop local context code from ObjectCommands.

Author: isk
Date: Mon Nov 28 12:11:43 2016 +0300

    0028162: DRAW - replace Local Context with the standard mechanism of selection.
    Create a general draw command 'VRelation' and drop the old 'relation' commands.
(0060883)
git (administrator)
2016-11-30 10:09

Branch CR28162 has been updated by isk.

SHA-1: fb6fc3a7fa65c168443f0f0f617295959400e25b


Detailed log of new commits:

Author: isk
Date: Wed Nov 30 10:09:03 2016 +0300

    Disable deprecated warnings.

(0060946)
git (administrator)
2016-12-01 09:23

Branch CR28162 has been updated by isk.

SHA-1: 3494ca542d742b73d7e3782bac7ac565de2fdca9


Detailed log of new commits:

Author: isk
Date: Thu Dec 1 09:23:33 2016 +0300

    Drop deprecated warnings from QABugs.

(0061005)
git (administrator)
2016-12-02 10:28

Branch CR28162 has been updated by isk.

SHA-1: 8dc7d98e7de40c57636cf755615e4e026c1f6533


Detailed log of new commits:

Author: isk
Date: Fri Dec 2 10:27:49 2016 +0300

    Eliminate deprecated local context methods in mfc standard sample.

Author: isk
Date: Thu Dec 1 12:48:23 2016 +0300

    Add two new methods: Activate and Deactivate which activate/deactivate the given selection mode for all displayed objects.

(0061008)
git (administrator)
2016-12-02 11:05

Branch CR28162 has been updated by isk.

SHA-1: 1094b25f5f544b649f4870e7dacd66f3467cab71


Detailed log of new commits:

Author: isk
Date: Fri Dec 2 10:27:49 2016 +0300

    Eliminate deprecated local context methods in qt samples.

(0061009)
isk (developer)
2016-12-02 11:15

Dear Kirill,
please review the branch CR28162.
(0061164)
git (administrator)
2016-12-07 09:55

Branch CR28162 has been updated by isk.

SHA-1: ee8a97fc68dd186d0830732a4f1602b304ee1c81


Detailed log of new commits:

Author: isk
Date: Wed Dec 7 09:54:56 2016 +0300

    Fix remarks by Kirill.
    Add test cases for new draw command "vrelation".

(0061172)
git (administrator)
2016-12-07 11:21

Branch CR28162_1 has been created by isk.

SHA-1: 3d9f167a70cd1fa7ebb65c998f471915276ec468


Detailed log of new commits:

Author: isk
Date: Mon Nov 28 12:11:43 2016 +0300

    0028162: DRAW - replace Local Context with the standard mechanism of selection.
    Create a general draw command 'VRelation' and drop the old 'relation' commands.
    Add test cases for new draw command "vrelation".
    Add two new methods: Activate and Deactivate which activate/deactivate the given selection mode for all displayed objects.
    Eliminate deprecated local context methods in ObjectCommands, QABugs.
    Eliminate deprecated local context methods in mfc standard sample and qt samples.
(0061173)
git (administrator)
2016-12-07 11:23

Branch CR28162_1 has been updated forcibly by isk.

SHA-1: ed7e838a46a2a0325b90467bede4df88617c0ff4
(0061174)
git (administrator)
2016-12-07 11:24

Branch CR28162_1 has been updated forcibly by isk.

SHA-1: b2941af419c206a8273d46426adbad6a4fef4729
(0061226)
isk (developer)
2016-12-07 11:27

Dear Kirill,
please review the branch CR28162_1.
(0061459)
git (administrator)
2016-12-07 12:47

Branch CR28162_1 has been updated forcibly by isk.

SHA-1: db9e86f38bd1a6b6afcee5017046641eb3896387
(0061460)
isk (developer)
2016-12-07 12:47

Fix remarks by Kirill.
(0061461)
kgv (developer)
2016-12-07 12:49

Please test the patch, including modified samples (manually).
(0061477)
mkv (tester)
2016-12-07 16:02
edited on: 2016-12-07 17:25

Dear BugMaster,
Branch CR28162_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: db9e86f38bd1a6b6afcee5017046641eb3896387

There are following compilation errors:
Linux:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28162_1-master/job/CR28162_1-master-OCCT-Debian70-64-opt-compile/1/parsed_console/ [^]
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx: In member function 'void AIS_InteractiveContext::EraseGlobal(const opencascade::handle<AIS_InteractiveObject>&, Standard_Boolean)':
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2280:5: error: expected '}' before 'else'

/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2265:26: warning: unused variable 'aDispMode' [-Wunused-variable]
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx: At global scope:
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2254:6: warning: unused parameter 'theToUpdateviewer' [-Wunused-parameter]
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2286:3: error: 'myMainPM' does not name a type
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2288:3: error: expected unqualified-id before 'if'
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2294:3: error: expected unqualified-id before 'if'
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2300:3: error: expected unqualified-id before 'if'
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2306:3: error: expected unqualified-id before 'for'
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2306:86: error: 'aSelModeIter' does not name a type
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2306:107: error: 'aSelModeIter' does not name a type
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2310:3: error: 'aStatus' does not name a type
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2311:3: error: 'aStatus' does not name a type
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2313:3: error: expected unqualified-id before 'if'
/dn54/builds/CR28162_1-master/Debian70-64-opt/OCCT/src/AIS/AIS_InteractiveContext.cxx:2317:1: error: expected declaration before '}' token

Windows:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28162_1-master/job/CR28162_1-master-OCCT-Windows-64-VC10-mfc-samples/1/parsed_console/ [^]
1>..\..\..\..\Common\ImportExport\ImportExport.cpp(106): error C2668: 'AIS_InteractiveContext::SetSelected' : ambiguous call to overloaded function

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28162_1-master/job/CR28162_1-master-OCCT-Windows-64-VC10-qt-samples-windows/1/parsed_console/ [^]
1>..\Common\src\ApplicationCommon.cxx(549): error C2039: 'SelectInteractive' : is not a member of 'AIS_InteractiveContext'

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28162_1-master/job/CR28162_1-master-Products-Windows-64-VC10-qt-samples-windows/1/parsed_console/ [^]
1>..\..\..\..\OCCT\samples\qt\Common\src\ApplicationCommon.cxx(549): error C2039: 'SelectInteractive' : is not a member of 'AIS_InteractiveContext'

(0061478)
mkv (tester)
2016-12-07 16:02

Dear isk,
Branch CR28162_1 has been rejected due to:
- compilation errors
(0061488)
git (administrator)
2016-12-08 13:40

Branch CR28162_1 has been updated by isk.

SHA-1: 0fcb0d3b7b9a5589b5d54c1b11b63dba097949c7


Detailed log of new commits:

Author: isk
Date: Thu Dec 8 13:33:48 2016 +0300

    Fix compiler erros.

(0061490)
git (administrator)
2016-12-08 13:52

Branch CR28162_1 has been updated by isk.

SHA-1: 216e677ffc9a4b6d3b101a7e15cdd850d3aed3a9


Detailed log of new commits:

Author: isk
Date: Thu Dec 8 13:52:50 2016 +0300

    Fix compiler errors.

(0061491)
git (administrator)
2016-12-08 13:58

Branch CR28162_2 has been created by isk.

SHA-1: 3abbf756cc521e1b3c7660de23a6ba752144b995


Detailed log of new commits:

Author: isk
Date: Mon Nov 28 12:11:43 2016 +0300

    0028162: DRAW - eliminate usage of deprecated Local Context.
    Create a general draw command 'VRelation' and drop the old 'relation' commands.
    Add test cases for new draw command "vrelation".
    Add two new methods: Activate and Deactivate which activate/deactivate the given selection mode for all displayed objects.
    Eliminate deprecated local context methods in ObjectCommands, QABugs.
    Eliminate deprecated local context methods in mfc standard sample and qt samples.
(0061500)
kgv (developer)
2016-12-08 15:27

Please check updated patch.
(0061507)
git (administrator)
2016-12-08 18:56

Branch CR28162_2 has been updated forcibly by mkv.

SHA-1: 11dc34562819a947a3142976ca4fc7421265cbcb
(0061532)
mkv (tester)
2016-12-09 17:59

Dear BugMaster,
Branch CR28162_2 was rebased on IR-2016-12-08 of occt git-repository.
SHA-1: 11dc34562819a947a3142976ca4fc7421265cbcb
(0061533)
mkv (tester)
2016-12-09 18:00

Dear BugMaster,
Branch CR28162_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 11dc34562819a947a3142976ca4fc7421265cbcb

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1121

Regressions/Differences/Improvements:
http://occt-tests/CR28162_2-master-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR28162_2-master-OCCT/Windows-64-VC10/summary.html [^]
Failed:
  bugs vis bug74, bug328, bug22368, bug26076, bug26147

Testing cases:
http://occt-tests/CR28162_2-master-OCCT/Debian70-64/summary.html#v3d-dimensions [^]
http://occt-tests/CR28162_2-master-OCCT/Windows-64-VC10/summary.html#v3d-dimensions [^]
v3d dimensions

Testing on Linux:
occt component :
Total MEMORY difference: 93158823 / 92770729 [+0.42%]
Total CPU difference: 21590.38000000034 / 21538.390000000272 [+0.24%]
products component :
Total MEMORY difference: 30059508 / 30095445 [-0.12%]
Total CPU difference: 5328.579999999962 / 5303.47999999998 [+0.47%]

Testing on Windows:
occt component :
Total MEMORY difference: 58452413 / 58462136 [-0.02%]
Total CPU difference: 20023.180752898537 / 20176.91973839851 [-0.76%]
products component :
Total MEMORY difference: 20892692 / 20859840 [+0.16%]
Total CPU difference: 5304.392802299981 / 5125.865257899959 [+3.48%]

There are following differences in images found by testdiff.
http://occt-tests/CR28162_2-master-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE bugs vis bug26076: bug26076.png differs
IMAGE bugs vis bug26147: bug26147.png differs
(0061534)
mkv (tester)
2016-12-09 18:00

Dear isk,
Branch CR28162_2 has been rejected due to:
- regressions/differences/improvements
- differences in images
(0061603)
git (administrator)
2016-12-13 11:17

Branch CR28162_2 has been updated by isk.

SHA-1: eda8083048d5b25a464abdc2ce267dc7b61a1843


Detailed log of new commits:

Author: isk
Date: Tue Dec 13 10:10:16 2016 +0300

    Fix tests.

(0061604)
git (administrator)
2016-12-13 11:30

Branch CR28162_3 has been created by isk.

SHA-1: 03adbd1a0aa791426fcf0dc37b51b720df9599ff


Detailed log of new commits:

Author: isk
Date: Mon Nov 28 12:11:43 2016 +0300

    0028162: DRAW - eliminate usage of deprecated Local Context.
    Create a general draw command 'VRelation' and drop the old 'relation' commands.
    Add test cases for new draw command "vrelation".
    Add two new methods: Activate and Deactivate which activate/deactivate the given selection mode for all displayed objects.
    Eliminate deprecated local context methods in ObjectCommands, QABugs.
    Eliminate deprecated local context methods in mfc standard sample and qt samples.
(0061637)
mkv (tester)
2016-12-13 20:49

Dear BugMaster,
Branch CR28162_3 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 03adbd1a0aa791426fcf0dc37b51b720df9599ff

Number of compiler warnings:

occt component :
Linux: 1 (0 on master)
Windows: 0 (0 on master)
MacOS : 1 (0 on master)

products component :
Linux: 69 (63 on master)
Windows: 0 (0 on master)
MacOS : 1142

There are new additional compilation warnings on Linux and MacOS platforms:

http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR28162_3-master-OCCT-Debian70-64-opt-compile/1/warnings17Result/ [^]
ViewerTest_RelationCommands.cxx:1029, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value 'AIS_KOR_NONE' not handled in switch [-Wswitch]

http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR28162_3-master-OCCT-MacOS-opt-compile/1/warnings7Result/ [^]
ViewerTest_RelationCommands.cxx:1029, Clang (LLVM based), Priority: Normal
enumeration value 'AIS_KOR_NONE' not handled in switch

http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR28162_3-master-Products-Debian70-64-opt-compile/1/warnings17Result/category.1856243221/package.815074360/ [^]

OMFTest_DisplayCommands.cxx:135, GNU C Compiler 4 (gcc), Priority: Normal
'void AIS_InteractiveContext::CloseLocalContext(Standard_Integer, Standard_Boolean)' is deprecated (declared at /dn61/builds/CR28162_3-master/Debian70-64-opt/OCCT/inc/AIS_InteractiveContext.hxx:1307): Local Context is deprecated - local selection should be used without Local Context [-Wdeprecated-declarations]

OMFTest_DisplayCommands.cxx:179, GNU C Compiler 4 (gcc), Priority: Normal
'void AIS_InteractiveContext::CloseLocalContext(Standard_Integer, Standard_Boolean)' is deprecated (declared at /dn61/builds/CR28162_3-master/Debian70-64-opt/OCCT/inc/AIS_InteractiveContext.hxx:1307): Local Context is deprecated - local selection should be used without Local Context [-Wdeprecated-declarations]

OMFTest_DisplayCommands.cxx:184, GNU C Compiler 4 (gcc), Priority: Normal
'Standard_Integer AIS_InteractiveContext::OpenLocalContext(Standard_Boolean, Standard_Boolean, Standard_Boolean, Standard_Boolean)' is deprecated (declared at /dn61/builds/CR28162_3-master/Debian70-64-opt/OCCT/inc/AIS_InteractiveContext.hxx:1289): Local Context is deprecated - local selection should be used without Local Context [-Wdeprecated-declarations]

OMFTest_DisplayCommands.cxx:225, GNU C Compiler 4 (gcc), Priority: Normal
'Standard_Integer AIS_InteractiveContext::OpenLocalContext(Standard_Boolean, Standard_Boolean, Standard_Boolean, Standard_Boolean)' is deprecated (declared at /dn61/builds/CR28162_3-master/Debian70-64-opt/OCCT/inc/AIS_InteractiveContext.hxx:1289): Local Context is deprecated - local selection should be used without Local Context [-Wdeprecated-declarations]

OMFTest_DisplayCommands.cxx:230, GNU C Compiler 4 (gcc), Priority: Normal
'void AIS_InteractiveContext::CloseAllContexts(Standard_Boolean)' is deprecated (declared at /dn61/builds/CR28162_3-master/Debian70-64-opt/OCCT/inc/AIS_InteractiveContext.hxx:1321): Local Context is deprecated - local selection should be used without Local Context [-Wdeprecated-declarations]

OMFTest_DisplayCommands.cxx:527, GNU C Compiler 4 (gcc), Priority: Normal
'Standard_Integer AIS_InteractiveContext::OpenLocalContext(Standard_Boolean, Standard_Boolean, Standard_Boolean, Standard_Boolean)' is deprecated (declared at /dn61/builds/CR28162_3-master/Debian70-64-opt/OCCT/inc/AIS_InteractiveContext.hxx:1289): Local Context is deprecated - local selection should be used without Local Context [-Wdeprecated-declarations]
Regressions/Differences/Improvements:
http://occt-tests/CR28162_3-master-OCCT/Debian70-64/bugs/vis/bug1629.html [^]
http://occt-tests/CR28162_3-master-OCCT/Windows-64-VC10/bugs/vis/bug1629.html [^]
bugs vis bug1629: FAILED

Testing cases:
http://occt-tests/CR28162_3-master-OCCT/Debian70-64/summary.html#v3d-dimensions [^]
http://occt-tests/CR28162_3-master-OCCT/Windows-64-VC10/summary.html#v3d-dimensions [^]
v3d dimensions

Testing on Linux:
occt component :
Total MEMORY difference: 92864909 / 92779756 [+0.09%]
Total CPU difference: 21627.730000000163 / 21539.240000000274 [+0.41%]
products component :
Total MEMORY difference: 30047713 / 30095445 [-0.16%]
Total CPU difference: 5332.819999999973 / 5303.47999999998 [+0.55%]

Testing on Windows:
occt component :
Total MEMORY difference: 58451881 / 58462136 [-0.02%]
Total CPU difference: 20059.04538279863 / 20176.91973839851 [-0.58%]
products component :
Total MEMORY difference: 20892651 / 20859840 [+0.16%]
Total CPU difference: 5287.8722963999735 / 5125.865257899959 [+3.16%]

There are no differences in images found by testdiff.
(0061638)
mkv (tester)
2016-12-13 20:49

Dear isk,
Branch CR28162_3 has been rejected due to:
- additional warnings
- regressions/differences/improvements
(0061662)
git (administrator)
2016-12-14 17:02

Branch CR28162_3 has been updated forcibly by isk.

SHA-1: 48b9cdef81ae9072e99ab86224ea0b69e0a30236
(0061663)
isk (developer)
2016-12-14 17:02

Fix test and compiler warnings.
(0061665)
kgv (developer)
2016-12-14 17:12

Please test updated patch.
(0061666)
isk (developer)
2016-12-14 17:13

Dear bugmaster,
Please test the patch, including modified samples (manually). Branch in OCCT - CR28162_3, branch in products - CR28162.
(0061692)
mkv (tester)
2016-12-15 13:04

Dear BugMaster,
Branch CR28162_3 from occt git-repository (and CR28162 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 48b9cdef81ae9072e99ab86224ea0b69e0a30236
SHA-1: 7f59f66b908bf8431539fbee3000e15d0a3a1251

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1131

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28162_3-CR28162-OCCT/Debian70-64/summary.html#v3d-dimensions [^]
http://occt-tests/CR28162_3-CR28162-OCCT/Windows-64-VC10/summary.html#v3d-dimensions [^]
v3d dimensions - OK

Testing on Linux:
occt component :
Total MEMORY difference: 92856083 / 92764248 [+0.10%]
Total CPU difference: 21497.660000000174 / 21419.850000000275 [+0.36%]
products component :
Total MEMORY difference: 30073782 / 30095445 [-0.07%]
Total CPU difference: 5344.909999999974 / 5303.47999999998 [+0.78%]

Testing on Windows:
occt component :
Total MEMORY difference: 58454250 / 58462136 [-0.01%]
Total CPU difference: 20007.29985109847 / 20176.91973839851 [-0.84%]
products component :
Total MEMORY difference: 20891528 / 20859840 [+0.15%]
Total CPU difference: 5299.385170199974 / 5125.865257899959 [+3.39%]

There are no differences in images found by testdiff.
(0061693)
mkv (tester)
2016-12-15 13:13

Dear BugMaster,
Branch CR28162_3 from occt git-repository and CR28162 from products git-repository are TESTED.
(0061795)
git (administrator)
2016-12-18 10:53

Branch CR28162 has been deleted by kgv.

SHA-1: ee8a97fc68dd186d0830732a4f1602b304ee1c81
(0061796)
git (administrator)
2016-12-18 10:53

Branch CR28162_1 has been deleted by kgv.

SHA-1: 216e677ffc9a4b6d3b101a7e15cdd850d3aed3a9
(0061797)
git (administrator)
2016-12-18 10:53

Branch CR28162_2 has been deleted by kgv.

SHA-1: eda8083048d5b25a464abdc2ce267dc7b61a1843
(0061798)
git (administrator)
2016-12-18 10:53

Branch CR28162_3 has been deleted by kgv.

SHA-1: 48b9cdef81ae9072e99ab86224ea0b69e0a30236

- Related Changesets
occt: master 404c8936
Timestamp: 2016-11-28 09:11:43
Author: isk
Committer: apn
Details ] Diff ]
0028162: Draw Harness - eliminate usage of deprecated Local Context

Create a general draw command 'VRelation' and drop the old 'relation' commands.
Add test cases for new draw command "vrelation".
Add two new methods: Activate and Deactivate which activate/deactivate the given selection mode for all displayed objects.
Eliminate deprecated local context methods in ObjectCommands, QABugs.
Eliminate deprecated local context methods in mfc standard sample and qt samples.
mod - samples/mfc/standard/01_Geometry/src/GeometryDoc.cpp Diff ] File ]
mod - samples/mfc/standard/02_Modeling/src/ModelingDoc.cpp Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/src/Viewer2dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/OffsetDlg.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dView.cpp Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/ImportExportDoc.cpp Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/OcafDoc.cpp Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/HLRDoc.cpp Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/SelectionDialog.cpp Diff ] File ]
mod - samples/mfc/standard/Common/AISDialogs.cpp Diff ] File ]
mod - samples/mfc/standard/Common/AngleParamsVerticesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/DimensionDlg.cpp Diff ] File ]
mod - samples/mfc/standard/Common/ImportExport/ImportExport.cpp Diff ] File ]
mod - samples/mfc/standard/Common/LengthParamsEdgePage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/LengthParamsEdgesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/LengthParamsVerticesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dBaseDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/ParamsFacesPage.cpp Diff ] File ]
mod - samples/mfc/standard/Common/RadiusParamsPage.cpp Diff ] File ]
mod - samples/qt/Common/src/ApplicationCommon.cxx Diff ] File ]
mod - samples/qt/Common/src/DocumentCommon.cxx Diff ] File ]
mod - samples/qt/Interface/src/Translate.cxx Diff ] File ]
mod - samples/qt/Tutorial/src/DocumentTut.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_2.cxx Diff ] File ]
add - src/AIS/AIS_KindOfRelation.hxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.cxx Diff ] File ]
mod - src/AIS/FILES Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.cxx Diff ] File ]
mod - src/QABugs/QABugs_1.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
add - tests/v3d/dimensions/begin Diff ] File ]
add - tests/v3d/dimensions/concentric Diff ] File ]
add - tests/v3d/dimensions/equaldistance Diff ] File ]
add - tests/v3d/dimensions/equalradius Diff ] File ]
add - tests/v3d/dimensions/fix Diff ] File ]
add - tests/v3d/dimensions/identic Diff ] File ]
add - tests/v3d/dimensions/offset Diff ] File ]
add - tests/v3d/dimensions/parallel Diff ] File ]
add - tests/v3d/dimensions/perpendicular Diff ] File ]
add - tests/v3d/dimensions/symmetric Diff ] File ]
mod - tests/v3d/end Diff ] File ]
mod - tests/v3d/grids.list Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-28 11:53 isk New Issue
2016-11-28 11:53 isk Assigned To => apn
2016-11-28 11:53 isk Assigned To apn => isk
2016-11-28 11:56 isk Status new => assigned
2016-11-29 13:13 git Note Added: 0060834
2016-11-29 13:38 kgv Summary DRAW - replace Local Context with the standard mechanism of selection. => Draw Harness - eliminate Local Context usage
2016-11-29 13:38 kgv Summary Draw Harness - eliminate Local Context usage => Draw Harness - eliminate usage of deprecated Local Context
2016-11-30 10:09 git Note Added: 0060883
2016-12-01 09:23 git Note Added: 0060946
2016-12-02 10:28 git Note Added: 0061005
2016-12-02 11:05 git Note Added: 0061008
2016-12-02 11:15 isk Note Added: 0061009
2016-12-02 11:15 isk Assigned To isk => kgv
2016-12-02 11:15 isk Status assigned => resolved
2016-12-02 11:15 isk Steps to Reproduce Updated View Revisions
2016-12-06 09:18 kgv Assigned To kgv => isk
2016-12-06 09:18 kgv Status resolved => assigned
2016-12-07 09:55 git Note Added: 0061164
2016-12-07 11:21 git Note Added: 0061172
2016-12-07 11:23 git Note Added: 0061173
2016-12-07 11:24 git Note Added: 0061174
2016-12-07 11:27 isk Note Added: 0061226
2016-12-07 11:27 isk Assigned To isk => apn
2016-12-07 11:27 isk Status assigned => resolved
2016-12-07 11:27 isk Steps to Reproduce Updated View Revisions
2016-12-07 11:28 isk Assigned To apn => kgv
2016-12-07 12:47 git Note Added: 0061459
2016-12-07 12:47 isk Note Added: 0061460
2016-12-07 12:49 kgv Note Added: 0061461
2016-12-07 12:49 kgv Assigned To kgv => bugmaster
2016-12-07 12:49 kgv Status resolved => reviewed
2016-12-07 14:28 mkv Assigned To bugmaster => mkv
2016-12-07 16:02 mkv Note Added: 0061477
2016-12-07 16:02 mkv Note Added: 0061478
2016-12-07 16:02 mkv Assigned To mkv => isk
2016-12-07 16:02 mkv Status reviewed => assigned
2016-12-07 17:25 mkv Note Edited: 0061477 View Revisions
2016-12-08 13:40 git Note Added: 0061488
2016-12-08 13:52 git Note Added: 0061490
2016-12-08 13:58 git Note Added: 0061491
2016-12-08 14:07 isk Assigned To isk => kgv
2016-12-08 14:07 isk Status assigned => resolved
2016-12-08 15:27 kgv Note Added: 0061500
2016-12-08 15:27 kgv Assigned To kgv => bugmaster
2016-12-08 15:27 kgv Status resolved => reviewed
2016-12-08 17:38 mkv Assigned To bugmaster => mkv
2016-12-08 18:56 git Note Added: 0061507
2016-12-09 17:59 mkv Note Added: 0061532
2016-12-09 18:00 mkv Note Added: 0061533
2016-12-09 18:00 mkv Note Added: 0061534
2016-12-09 18:00 mkv Assigned To mkv => isk
2016-12-09 18:00 mkv Status reviewed => assigned
2016-12-09 18:00 mkv Test case number => v3d dimensions
2016-12-13 11:17 git Note Added: 0061603
2016-12-13 11:30 git Note Added: 0061604
2016-12-13 11:31 isk Assigned To isk => apn
2016-12-13 11:31 isk Status assigned => resolved
2016-12-13 14:14 kgv Assigned To apn => bugmaster
2016-12-13 14:14 kgv Status resolved => reviewed
2016-12-13 14:46 mkv Assigned To bugmaster => mkv
2016-12-13 20:49 mkv Note Added: 0061637
2016-12-13 20:49 mkv Note Added: 0061638
2016-12-13 20:49 mkv Assigned To mkv => isk
2016-12-13 20:49 mkv Status reviewed => assigned
2016-12-14 17:02 git Note Added: 0061662
2016-12-14 17:02 isk Note Added: 0061663
2016-12-14 17:11 isk Assigned To isk => kgv
2016-12-14 17:11 isk Status assigned => resolved
2016-12-14 17:12 kgv Note Added: 0061665
2016-12-14 17:12 kgv Assigned To kgv => bugmaster
2016-12-14 17:12 kgv Status resolved => reviewed
2016-12-14 17:13 isk Note Added: 0061666
2016-12-14 18:45 mkv Assigned To bugmaster => mkv
2016-12-15 13:04 mkv Note Added: 0061692
2016-12-15 13:13 mkv Note Added: 0061693
2016-12-15 13:13 mkv Assigned To mkv => bugmaster
2016-12-15 13:13 mkv Status reviewed => tested
2016-12-16 16:34 apn Changeset attached => occt master 404c8936
2016-12-16 16:34 apn Assigned To bugmaster => apn
2016-12-16 16:34 apn Status tested => verified
2016-12-16 16:34 apn Resolution open => fixed
2016-12-18 10:53 git Note Added: 0061795
2016-12-18 10:53 git Note Added: 0061796
2016-12-18 10:53 git Note Added: 0061797
2016-12-18 10:53 git Note Added: 0061798
2016-12-27 21:47 kgv Relationship added has duplicate 0027855
2017-07-10 10:56 kgv Relationship added related to 0025467
2017-07-10 10:56 kgv Relationship replaced child of 0025467
2017-07-10 10:58 kgv Relationship added related to 0028906
2017-09-04 18:54 kgv Relationship added parent of 0029079
2017-09-29 16:17 aiv Fixed in Version => 7.2.0
2017-09-29 16:23 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker